:root{
    --white: #ffffff;
    --black: #000000;
    --title: #333333;
    --text: #808080;
    --primary-color: #ED1C24;
    --gradiant: linear-gradient(90deg, #ED1C24 0%, #871015 100%);
    --gradianthover: linear-gradient(90deg, #871015 0%, #ED1C24 100%);
}
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
}
body{
    font-family: 'Poppins';
    font-size: 15px;
    overflow-x: hidden;
    font-weight: 400;
    scroll-behavior: smooth;
}
a,.btn,button,.button,img{
    transition: all 0.3s ease;
    -webkit-transition: all 0.3s ease;
}
a {
    text-decoration: none !important;
}
ul {
    padding: 0;
    margin: 0;
    list-style: none;
}
.form-control:focus,
.form-select:focus,
.btn-close:focus{
    border-color: var(--primary-color) !important;
    outline: 0;
    box-shadow: unset;
}

/* scrollbar styling */
/* width */
::-webkit-scrollbar {
    width: 6px;
    height: 6px;
    /* display: none; */
}  
/* Handle */
::-webkit-scrollbar-thumb {
    background: var(--primary-color); 
    border-radius: 10px;
}
::selection {
    color: #fff;
    background: var(--primary-color);
}
.header {
    position: sticky;
    z-index: 99;
    top: 0;
    width: 100%;
    background-color: var(--white);
    -webkit-box-shadow: 0px 4px 8px 0px #00000026;
    box-shadow: 0px 4px 8px 0px #00000026;
}
.navScrolled {
    -webkit-box-shadow: 0px 4px 8px 0px #00000026;
    box-shadow: 0px 4px 8px 0px #00000026;
    animation: scrollSticky 0.5s ease-out;
    -webkit-animation: scrollSticky 0.5s ease-out;
}
@keyframes scrollSticky {
    0% {
        opacity: 0;
        transform: translateY(-100%);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}
.header .navbar{
    padding: 12px 0;
}
.header .navbar-nav li .nav-link {
    position: relative;
    color: var(--title);
    text-transform: capitalize;
    font-size: 15px;
    padding: 0;
    font-weight: 400;
}
.header .navbar-nav {
    gap: 40px;
    align-items: center;
}
.header .navbar-nav li .nav-link:hover,
.header.navScrolled .navbar-nav li .nav-link:hover,
.header .navbar-nav li .nav-link.active {
    color: var(--primary-color);
}
.header .navbar-nav li .nav-link:hover::before,
.header .navbar-nav li .nav-link.active::before{
    position: absolute;
    content: '';
    top: 50%;
    transform: translateY(-50%);
    left: -8px;
    width: 4px;
    height: 4px;
    border-radius: 50%;
    background-color: var(--primary-color);
}
.primary-btn{
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border: unset;
    font-size: 15px;
    padding: 12px 25px;
    border-radius: 5px;
    color: var(--white);
    background: var(--gradiant);
    transition: all 0.3s ease;
    -webkit-transition: all 0.3s ease;
    z-index: 1;
    overflow: hidden;
}
.primary-btn::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--gradianthover);
    z-index: 0;
    transition: all 0.3s linear;
    -webkit-transition: all 0.3s linear;
    opacity: 0;
}
.primary-btn:hover::before{
    opacity: 1;
    z-index: -5;
}
.btn-shadow{
    box-shadow: 0px 4px 8px 0px #0000002E;
}
.comman-py{
    padding: 45px 0;
}
.custom-toggler {
    border: none;
    background: none;
    display: flex;
    flex-direction: column;
    gap: 5px;
    z-index: 99999;
}
.custom-toggler:focus{
    box-shadow: unset;
}
.hamburger-line {
    width: 25px;
    height: 3px;
    background-color: var(--primary-color);
    transition: all 0.3s ease;
}

.navbar-toggler.active .hamburger-line:nth-child(1) {
  transform: rotate(45deg) translate(5px, 5px);
}

.navbar-toggler.active .hamburger-line:nth-child(2) {
  opacity: 0;
}

.navbar-toggler.active .hamburger-line:nth-child(3) {
  transform: rotate(-45deg) translate(6px, -6px);
}
.offcanvas{
    background-color: var(--white);
    transition: transform 0.6s ease;
    width: 98% !important;
}
.home-area{
    position: relative;
    background-image: url('../img/home-bg-banner.webp');
    background-repeat: no-repeat;
    background-position: 40% 30%;
    background-size: auto;
    padding: 100px 0;
}
.home-area::before{
    position: absolute; 
    content: "";
    background-image: url('../img/home-bg-vector.png');
    background-repeat: no-repeat;
    background-position: right;
    background-size: auto;
    bottom: 50px;
    right: 0;
    width: 61px;
    height: 95px;
    z-index: 2;
}
.heading{
    font-size: 35px;
    font-weight: 600;
    color: var(--title);
    line-height: 45px;
}
.heading span{
    color: var(--primary-color);
}
.text{
    font-size: 15px;
    font-weight: 300;
    color: var(--text);
}
.home-swiper-cont{
    max-width: 499px;
    margin: 0 0 0 auto;
}
.home-area .swiper-pagination{
    top: 50%;
    transform: translate(0px, -50%) rotate(90deg) !important;
    left: -60px !important;
    height: fit-content;
}
.home-area .swiper-pagination .swiper-pagination-bullet{
    background-color: #DDDDDD;
    opacity: 1;
}
.home-area .swiper-pagination .swiper-pagination-bullet.swiper-pagination-bullet-active{
    background-color: var(--primary-color);
}
.Check-availability-area{
    background: linear-gradient(0deg, #FFFFFF 0%, #F5F5F5 100%);
}
.Check-availability{
    position: relative;
    margin: auto;
    max-width: 816px;
    margin-top: -34px;
    padding: 40px 70px;
    background-color: var(--white);
    border-radius: 20px;
    border: 1px solid #DDDDDD;
    box-shadow: 0px 6px 12px 0px #00000026;
}
.form-area .form-control,
.form-area .form-select{
    padding: 10px 25px;
    border-color: #DDDDDD;
    border-radius: 5px;
    color: var(--text);
}
.form-area .form-control::placeholder,
.form-area .form-select::placeholder{
    color: var(--text);
}
.mw-500{
    max-width: 500px;
}
.about-ul li{
    list-style-type: disc;
}
.plan-bg-1{
    background-image: url('../img/plan-1.webp');
}
.plan-bg-2{
    background-image: url('../img/plan-2.webp');
}
.plan-bg-3{
    background-image: url('../img/plan-3.webp');
}
.plan-bg-1,.plan-bg-2,.plan-bg-3{
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}
.our-plan-top{
    padding: 30px;
    min-height: 170px;
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: end;
}
.our-plan-box{
    /* height: 100%; */
    width: 100%;
    margin: 10px;
    overflow: hidden;
    border-radius: 20px;
    box-shadow: 0px 4px 8px 0px #00000026;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.swiper-slide {
    height: auto;
    display: flex;
}
.plan-title{
    font-size: 25px;
    font-weight: 600;
    color: var(--title);
}
.our-plan-top small{
    font-size: 8px;
    padding: 5px 10px;
    border-radius: 40px;
    background-color: #FFFFFF33;
    color: var(--white);
}
.plan-amount{
    position: absolute;
    right: 30px;
    bottom: -30px;
    font-size: 25px;
    font-weight: 500;
    padding: 11px 25px;
    border-radius: 10px;
    color: var(--white);
    background: linear-gradient(90deg, #ED1C24 0%, #871015 100%);
}
.our-plan-bottom{
    padding: 20px 30px 40px;
}
.b-title{
    font-size: 18px;
    font-weight: 600;
    color: var(--title);
}
.ott-ul{
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    margin-bottom: 30px;
}
.view-link{
    font-size: 15px;
    font-weight: 400;
    color: var(--title);
    flex-shrink: 0;
    text-decoration: underline !important;
}
.view-link:focus-visible{
    display: none;
}
.view-link:hover{
    color: var(--primary-color);
}
.our-plan-main .swiper-button-next,
.our-plan-main .swiper-button-prev{
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: #00000033;
}
.our-plan-main .swiper-button-next:after, 
.our-plan-main .swiper-button-prev:after{
    font-size: 15px;
    color: var(--white);
}
.our-plan-main .swiper-button-next{
    right: -50px;
}
.our-plan-main .swiper-button-prev{
    left: -50px;
}
.connection-box{
    height: 100%;
    padding: 30px;
    border-radius: 10px;
    border: 1px solid #DDDDDD;
    background-color: var(--white);
    box-shadow: 0px 4px 8px 0px #00000026;
}
.connection-icon{
    width: 60px;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    background-color: #FFEBEC;
}
.connection-box h4{
    font-size: 20px;
    font-weight: 600;
    color: var(--title);
}
.connection-box:hover .connection-icon{
    background-color: var(--primary-color);
}
.connection-box:hover .connection-icon svg path{
    fill: #ffffff;
}
.faq-main .accordion .accordion-item {
    border: unset;
    border-bottom: 1px solid #DDDDDD;
    border-radius: 0;
}
.faq-main .accordion .accordion-item .accordion-button{
    font-size: 18px;
    font-weight: 500;
    color: var(--title);
}
.faq-main .accordion .accordion-item .accordion-button:focus{
    box-shadow: unset;
}
.faq-main .accordion .accordion-item .accordion-button:not(.collapsed){
    background-color: unset;
    box-shadow: unset;
}
.faq-main .accordion .accordion-item:last-of-type>.accordion-header .accordion-button.collapsed{
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}
.faq-main .accordion .accordion-item .accordion-body .text{
    padding: 20px;
    border: 1px solid #DDDDDD;
    background-color: #F5F5F5;
    border-radius: 10px;
}
.footer{
    background: linear-gradient(180deg, #ED1C24 0%, #ED1C24 30%, #6C1F22 100%);
}
.f-social-ul li a{
    font-size: 20px;
    color: var(--white);
}
.footer-top{
    padding: 30px 0;
}
.footer-top-right{
    border-left: 1px solid #ffffff40;
    padding: 30px 0;
    padding-left: 50px;
}
.footer-link{
    font-size: 18px;
    font-weight: 400;
    color: var(--white);
}
.footer-link:hover,
.f-social-ul li a:hover,
.footer-bottom-ul li a:hover{
    color: #00EEFF;
}
.footer-bottom{
    padding: 15px 0;
    border-top: 1px solid #ffffff40;
}
.footer-bottom-ul li:not(:last-child){
    margin-right: 15px;
    padding-right: 15px;
    border-right: 1px solid var(--white);
}
.footer-bottom-ul li a{
    font-size: 15px;
    font-weight: 400;
    color: var(--white);
}
.footer-top-left{
    padding-right: 30px;
}
.planDetail .modal-content{
    border-radius: 20px;
    border: unset;
}
.planDetail .modal-header{
    padding: 30px 40px 30px;
}
.planDetail .modal-header small{
    font-size: 8px;
    font-weight: 400;
    padding: 5px 10px;
    border-radius: 40px;
    background-color: #ED1C2433;
    color: var(--primary-color);
    margin-bottom: 5px;
}
.planDetail .modal-header .btn-close{
    border: 1px solid var(--title);
    border-radius: 50%;
}
.planDetail .modal-header .plan-amount{
    display: inline-block;
    position: relative;
    right: 0;
    bottom: 0;
    border-radius: 10px;
    font-size: 20px;
    padding: 6px 20px;
}
.planDetail .modal-body{
    padding: 0 40px;
}
.planDetail .modal-footer{
    padding: 30px 40px 40px;
}

.plan-box {
    background: #f6f6f6;
    border-radius: 20px;
    padding: 25px 40px;
    box-sizing: border-box;
    display: flex;
    justify-content: space-between;
}
.column {
    width: 48%;
}
.item {
    padding: 12px 0;
    border-bottom: 1px solid #e2e2e2;
    font-size: 15px;
}
.item:last-child {
    border-bottom: none;
}
.label {
    color: #999;
    font-weight: 400;
}
.value {
    color: var(--title);
    font-weight: 700;
}
.divider {
    width: 1px;
    background-color: #d0d0d0;
    margin: 0 16px;
}
.breadcrumb-area{
    background-image: url('../img/breadcrumb-bg.webp');
    padding: 100px 0;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center bottom;
}
.about-dummy-main{
    padding: 50px;
    background-color: #F5F5F5;
    border-radius: 20px;
}
.tracking-area .Check-availability{
    margin-top: 0;
}

.orderdetail-track{
    display: flex;
}
.orderdetail-stap{
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    margin: 0 auto 20px;
    background-color: #F5F5F5;
}
.stap-dot{
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background-color: #DDDDDD;
}
.orderdetail-list{
    width: 20%;
    position: relative;
}
.stap-heading{
    font-size: 18px;
    font-weight: 600;
    color: var(--title);
}
.orderdetail-list .text{
    font-size: 13px;
}
.orderdetail-track .orderdetail-list:not(:last-child)::before{
    position: absolute;
    content: '';
    top: 23px;
    left: 50%;
    width: 100%;
    height: 2px;
    background-color: #F5F5F5;
}
.orderdetail-track .orderdetail-list.stap-active .orderdetail-stap{
    background-color: #FFEBEC;
}
.orderdetail-track .orderdetail-list.stap-active .orderdetail-stap .stap-dot,
.orderdetail-track .orderdetail-list.stap-active::before{
    background-color: var(--primary-color);
}
.request-form{
    padding: 40px;
    border-radius: 20px;
    background-color: var(--white);
    border: 1px solid #DDDDDD;
    box-shadow: 0px 4px 8px 0px #00000026;
}
.request-form .form-control,
.request-form .form-select{
    padding: 12px 30px;
    border-color: #DDDDDD;
    border-radius: 10px;
    background-color: #F5F5F5;
}





.select2-container--default .select2-selection--single {
    background-color: #fff;
    border: 1px solid #DDDDDD;
    padding: 10px 25px;
    border-radius: 5px;
    color: var(--text);
    height: 100%;
}
.select2-container--default .select2-selection--single .select2-selection__rendered {
    text-align: left;
    padding-left: 0;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
    top: 50%;
    transform: translateY(-50%);
    right: 10px;
}
.select2-container--open .select2-dropdown--above, .select2-container--open .select2-dropdown--below {
    z-index: 9 !important;
}
.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {
    background-color: #ed1c24 !important;
}
.select2-container--default .select2-search--dropdown .select2-search__field:focus {
    box-shadow: none;
    outline: none;
}

.home-swiper-slide {
    width: 100%;
}